[X2Go-Commits] x2gothinclient.git - master (branch) updated: 1.1.0.0-7-gf7ba5cc

X2Go dev team git-admin at x2go.org
Thu Sep 12 10:48:40 CEST 2013


The branch, master has been updated
       via  f7ba5cc8ca5588009ec623288e7adf15b6f6b5a3 (commit)
      from  847f145cfc9d8983b715825ee718a3224c3bddca (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit f7ba5cc8ca5588009ec623288e7adf15b6f6b5a3
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Thu Sep 12 10:48:33 2013 +0200

    Allow non-interactive execution of x2gothinclient_create. (Fixes: #300).

-----------------------------------------------------------------------

Summary of changes:
 debian/changelog                                   |    2 ++
 .../sbin/x2gothinclient_create                     |   23 +++++++++++++++-----
 2 files changed, 19 insertions(+), 6 deletions(-)

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index 0d09f7b..c6f344b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,8 @@ x2gothinclient (1.1.0.0-0~x2go2) UNRELEASED; urgency=low
   * New upstream version (1.1.0.1):
     - Extend x2gothinclient_shell to run anything given as arguments and
       fall back to $TC_SHELL when nothing is given. (Fixes: #301).
+    - Allow non-interactive execution of x2gothinclient_create. (Fixes:
+      #300).
 
  -- Mike Gabriel <mike.gabriel at das-netzwerkteam.de>  Sat, 17 Aug 2013 00:35:31 +0200
 
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index 0e6037c..799a592 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
@@ -42,6 +42,7 @@ TC_DISTRO_CODENAME="${TC_DISTRO_CODENAME:-squeeze}"
 TC_DEBMIRROR_URL="${TC_DEBMIRROR_URL:-'http://ftp.debian.org/debian'}"
 TC_X2GO_DEBURL="${TC_X2GO_DEBURL:-'deb http://packages.x2go.org $TC_DISTRO_CODENAME main'}"
 TC_MODULE_BLACKLIST="${TC_MODULE_BLACKLIST:-'pcspkr'}"
+TC_NONINTERACTIVE="${TC_NONINTERACTIVE:-}"
 
 test -e "$TC_CHROOT" && { 
 	echo "ERROR: X2Go Thin Client chroot already exists at $TC_CHROOT."
@@ -54,11 +55,15 @@ test -e "$TC_CHROOT" && {
 	exit -2
 }
 
-echo "Hit <RETURN> to continue with X2Go TCE chroot creation using"
-echo "the above TCE parameters..."
-echo
-echo "Alternatively, hit STRG-C to cancel the operation now!!!"
-read
+if [ "x${TC_NONINTERACTIVE}" = "x" ]; then
+    echo "Hit <RETURN> to continue with X2Go TCE chroot creation using"
+    echo "the above TCE parameters..."
+    echo
+    echo "Alternatively, hit STRG-C to cancel the operation now!!!"
+    read
+else
+    echo "Non-interactive mode selected, will continue with the above settings"
+fi
 
 export LANG=C
 
@@ -124,6 +129,10 @@ export http_proxy=$TC_HTTP_PROXY
 export https_proxy=$TC_HTTPS_PROXY
 export ftp_proxy=$TC_FTP_PROXY
 
+if [ "x${TC_NONINTERACTIVE}" != "x" ]; then
+    export DEBIAN_FRONTEND=noninteractive
+fi
+
 mkdir -p /tmp/user/0
 mkdir -p /var/lib/xkb
 mkdir -p /var/lib/nfs
@@ -156,7 +165,9 @@ export X2GO_HANDLE_DAEMONS=false
 [ \$? -eq 0 ] && apt-get update
 [ \$? -eq 0 ] && apt-get install $TC_SHELL -y
 [ \$? -eq 0 ] && apt-get install syslinux locales -y
-[ \$? -eq 0 ] && dpkg-reconfigure locales
+if [ \$? -eq 0 -a "x${TC_NONINTERACTIVE}" != "x" ]; then
+    dpkg-reconfigure locales
+fi
 [ \$? -eq 0 ] && apt-get install linux-image-486 -y
 [ \$? -eq 0 ] && test -h /vmlinuz && mv /vmlinuz /vmlinuz.486.tmp || true
 [ \$? -eq 0 ] && LINK_TARGET=\$(readlink /vmlinuz.486.tmp | sed 's@/boot at boot@') && ln -sf \$LINK_TARGET /vmlinuz.486 && rm -f /vmlinuz.486.tmp


hooks/post-receive
-- 
x2gothinclient.git (X2Go Thin Client Environment)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2gothinclient.git" (X2Go Thin Client Environment).




More information about the x2go-commits mailing list